Create a topic
curl --request POST \
--url https://api.sendrealm.com/topics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.sendrealm.com/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/topics"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}Create And List Topics
Manage reusable topic definitions.
POST
/
topics
Create a topic
curl --request POST \
--url https://api.sendrealm.com/topics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.sendrealm.com/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendrealm.com/topics"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}{
"status": 123,
"error": {
"code": "<string>",
"message": "<string>",
"details": null
}
}Endpoints
GET /topicsPOST /topics
Create request
{
"name": "weekly-digest",
"description": "Long-form weekly product and marketing updates."
}
List example
GET /topics?search=digest⌘I